#! /usr/bin/perl -W
use strict;

sub addGPL {
	my $file = shift;
my $GPL=<<"EOF";
/***************************************************************************
                           $file
                           -------------------
    copyright            : (C) 2004 by Jos van den Oever
    email                : jos\@vandenoever.info
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
EOF
	my @GPL = split(/\n/, $GPL);
	my $eq = 1;
	my @lines = `cat $file`;
	if ($#lines < $#GPL) {
		$eq = 0;
	}
	for (my $i=0; $eq == 1 && $i<$#GPL; $i++) {
		my $line = $lines[$i];
		chomp $line;
		if ($GPL[$i] ne $line) {
			$eq = 0;
		}
	}
	if (!$eq) {
		print $file."\n";
		open (FH, "> $file") or die;
		foreach (@GPL) {
			print FH $_."\n";
		}
		foreach (@lines) {
			print FH $_;
		}
		close(FH);
	}
}

foreach (`ls *.h *.cpp`) {
	chomp;
	addGPL($_);
}

